//Minion2 render

var minion2;

function addMinion2RenderType(Renderer)
{

var model = Renderer.getModel();
var var2 = 0;


var head = model.getPart("head").clear();
var body = model.getPart("body").clear();
var rArm = model.getPart("rightArm").clear();
var lArm = model.getPart("leftArm").clear();
var rLeg = model.getPart("rightLeg").clear();
var lLeg = model.getPart("leftLeg").clear();


head.clear();

body.clear();
body.setTextureSize(64, 64);
body.setTextureOffset(0, 0, true);
body.addBox(-6, 3, -4, 10, 17, 7, var2);
body.setTextureOffset(42, 0);
body.addBox(-5, 5, -5, 8, 4, 1, var2);
body.setTextureOffset(34, 5);
body.addBox(-4, 4, -5, 2, 1, 1, var2);
body.addBox(0, 4, -5, 2, 1, 1, var2);
body.addBox(-4, 9, -5, 2, 1, 1, var2);
body.addBox(0, 9, -5, 2, 1, 1, var2);
body.setTextureOffset(40, 5);
body.addBox(3, 6, -5, 1, 2, 1, var2);
body.addBox(-6, 6, -5, 1, 2, 1, var2);

rArm.clear();
rArm.setTextureSize(64, 64);
rArm.setTextureOffset(34, 0, true);
rArm.addBox(-2, 2, -1, 1, 4, 1, var2);
rArm.setRotationPoint(0, 13, 4);

lArm.clear();
lArm.setTextureSize(64, 64);
lArm.setTextureOffset(34, 0, true);
lArm.addBox(-1, 2, -1, 1, 4, 1, var2);
lArm.setRotationPoint(0, 13, 0);

rLeg.clear();
rLeg.setTextureSize(64, 64);
rLeg.setTextureOffset(38, 0, true);
rLeg.addBox(3, 8, -1, 1, 4, 1, var2);

lLeg.clear();
lLeg.setTextureSize(64, 64);
lLeg.setTextureOffset(38, 0, true);
lLeg.addBox(-6, 8, -1, 1, 4, 1, var2);

}

var minion2RenderType = Renderer.createHumanoidRenderer();
addMinion2RenderType(minion2RenderType);

ModPE.setItem(502, "spawn_egg", 16, "Spawn Minion 2");
function useItem(x, y, z, itemId, block, side)
{
if(itemId==502)
{
minion2= Level.spawnMob (x, y+1, z, 15,"mob/minion2.png");
Entity.setRenderType(minion2,minion2RenderType.renderType);
Entity.setNameTag(minion2,"Minion2");

Entity.setCollisionSize(minion2, 0.5, 1);

}
}