//Minion3 render

var minion3;

function addMinion3RenderType(Renderer)
{

var model = Renderer.getModel();
var var2 = 0;


var head = model.getPart("head").clear();
var body = model.getPart("body").clear();
var rArm = model.getPart("rightArm").clear();
var lArm = model.getPart("leftArm").clear();
var rLeg = model.getPart("rightLeg").clear();
var lLeg = model.getPart("leftLeg").clear();


head.clear();

body.clear();
body.setTextureSize(64, 64);
body.setTextureOffset(0, 0, true);
body.addBox(-6, -1, -4, 10, 21, 7, var2);
body.setTextureOffset(42, 0);
body.addBox(-5, 2, -5, 8, 4, 1, var2);
body.setTextureOffset(34, 5);
body.addBox(-4, 1, -5, 2, 1, 1, var2);
body.addBox(0, 1, -5, 2, 1, 1, var2);
body.addBox(-4, 6, -5, 2, 1, 1, var2);
body.addBox(0, 6, -5, 2, 1, 1, var2);
body.setTextureOffset(40, 5);
body.addBox(3, 3, -5, 1, 2, 1, var2);
body.addBox(-6, 3, -5, 1, 2, 1, var2);

rArm.clear();
rArm.setTextureSize(64, 64);
rArm.setTextureOffset(34, 0, true);
rArm.addBox(-2, 2, -1, 1, 4, 1, var2);
rArm.setRotationPoint(0, 13, 4);

lArm.clear();
lArm.setTextureSize(64, 64);
lArm.setTextureOffset(34, 0, true);
lArm.addBox(-1, 2, -1, 1, 4, 1, var2);
lArm.setRotationPoint(0, 13, 0);

rLeg.clear();
rLeg.setTextureSize(64, 64);
rLeg.setTextureOffset(38, 0, true);
rLeg.addBox(3, 8, -1, 1, 4, 1, var2);

lLeg.clear();
lLeg.setTextureSize(64, 64);
lLeg.setTextureOffset(38, 0, true);
lLeg.addBox(-6, 8, -1, 1, 4, 1, var2);

}

var minion3RenderType = Renderer.createHumanoidRenderer();
addMinion3RenderType(minion3RenderType);

ModPE.setItem(503, "spawn_egg", 16, "Spawn Minion 3");
function useItem(x, y, z, itemId, block, side)
{
if(itemId==503)
{
minion3= Level.spawnMob (x, y+1, z, 15,"mob/minion3.png");
Entity.setRenderType(minion3,minion3RenderType.renderType);
Entity.setNameTag(minion3,"Minion3");
Entity.setCollisionSize(minion3, 0.5, 1.3);

}
}